<?php
if ( function_exists('register_sidebar') )
    register_sidebar(array(
        'before_widget' => '<div class="sidebaritem">',
    'after_widget' => '</div>',
 'before_title' => '<h1>',
        'after_title' => '</h1>',
    ));


// WP-tick Pages Box 
 function widget_tick_pages() {
?>
       <div class="sidebaritem">
<h1><?php _e('Pages'); ?></h1>
   <div class="sbilinks">
   <ul>
<li class="page_item"><a href="<?php bloginfo('url'); ?>">Home</a></li>

<?php wp_list_pages('title_li='); ?>

 </ul>
</div>
</div>

<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Pages'), 'widget_tick_pages');


// WP-tick Search Box 
 function widget_tick_search() {
?>
 
       <div class="sidebaritem">
 <h1><?php _e('Search Posts'); ?></h1>
 
    <div class="sbilinks">
    <ul>
<li>
   <form id="searchform" method="get" action="<?php bloginfo('url'); ?>/index.php">
 
            <input type="text" name="s" size="18" /><br>

     
            <input type="submit" id="submit" name="Submit" value="Search" />
      
     
 </form>

 
</li>
</ul>
</div>

</div>

<?php
}
if ( function_exists('register_sidebar_widget') )
    register_sidebar_widget(__('Search'), 'widget_tick_search');


 function widget_links_with_style() {
   global $wpdb;
   $link_cats = $wpdb->get_results("SELECT cat_id, cat_name FROM $wpdb->linkcategories");
   foreach ($link_cats as $link_cat) {
  ?>

         <div class="sidebaritem">
  <h1><?php echo $link_cat->cat_name; ?></h1>
   <div class="sbilinks">
   <ul>
   <?php get_links($link_cat->cat_id, '<li>', '</li>', '<br />', FALSE, 'rand', TRUE,  TRUE, -1, TRUE); ?>
   </ul>
</div>
</div>
   <?php } ?>
   <?php }
   if ( function_exists('register_sidebar_widget') )
   register_sidebar_widget(__(' Links With Style'), 'widget_links_with_style');
   
 


?>